function H=matconvoluzione(m,n,p,q,k,F)
%Questa function ci costruisce la matrice H del sistema Hx=b
%H sará una matrice di Toeplitz a blocchi
%m,n sono le dimensioni della matrice H mxn ; p,q sono le dimensioni dei blocchi di Toeplitz pxq

V=[];
for r=k:-1:-k
V=[V,f_r(F,p,q,k,r)];
end
H=V;
kk=m/p; %Conta il numero di blocchi di Toeplitz lungo le righe
H(1,n)=0;%H adesso ha p righe e n colonne

for ii=2:kk
V2=zeros(p,(ii-1)*q);
V2=[V2,V];
V2(1,n)=0;
H=[H;V2];
end
%Abbiamo aggiunto gli altri blocchi di Toeplitz

end