function x = myssdder(A,B,b,alfa,beta,gamma)
%function x=myssd(A,B)
%Questa funzione serve per calcolare la SSD
%A é la prima matrice
%B é la seconda matrice
%b é un numero intero che puó essere 0 oppure 1:

%Quando durante l'esecuzione vengono costruiti gli nbh
%puó succedere che le loro dimensioni non siano compatibili,
%o meglio i loro numeri di righe non lo saranno,
%questo succederá nei pressi del bordo di sopra, oppure nei pressi 
%del bordo di sotto    
%alfa beta e gamma sono 3 parametri da inserire poiché si fa uso della derivata


s1=size(A);
s2=size(B);

if(s1==s2)
C=A-B;
x=alfa*(norm(C,'fro')^2) + beta*(norm(deror(C),'fro')^2) + gamma*(norm(derver(C),'fro')^2);
return;
end

s=min(s1(1),s2(1)); %Questo serve per bilanciare il numero di righe

if(b==1)
 C=A(end-s+1:end,:)-B(end-s+1:end,:);
 x=alfa*(norm(C,'fro')^2) + beta*(norm(deror(C),'fro')^2) + gamma*(norm(derver(C),'fro')^2);
 %Se b==1 vuol dire che alla matrice che ha piú righe
 %le righe gliele dobbiamo togliere da sopra perché siamo
 %verso il bordo di sopra 
elseif(b==0)
 C=A(1:s,:)-B(1:s,:);
 x=alfa*(norm(C,'fro')^2) + beta*(norm(deror(C),'fro')^2) + gamma*(norm(derver(C),'fro')^2);
 %altrimenti da sotto perché siamo verso il bordo di sotto
end 

end